Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.renderers
Class JRSimpleImageMapRenderer

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractRenderer
          net.sf.jasperreports.engine.JRImageRenderer
              net.sf.jasperreports.renderers.JRSimpleImageMapRenderer

All Implemented Interfaces:
  java.io.Serializable, JRImageMapRenderer, JRRenderable

    public class JRSimpleImageMapRenderer

extends JRImageRenderer
implements JRImageMapRenderer

Version:
  $Id: JRSimpleImageMapRenderer.java 3035 2009-08-27 12:05:03Z teodord $
Author:
  Sanda Zaharia (shertage@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

Constructor Summary
`JRSimpleImageMapRenderer(byte[] imageData, java.util.List areaHyperlinks)`

Method Summary
`java.util.List` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`
`boolean` | `hasImageAreaHyperlinks()` Indicates whether the renderer actually includes any image map areas.
`java.util.List` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Returns the list of `image map areas`.

Methods inherited from class net.sf.jasperreports.engine.JRImageRenderer
`getClassLoader, getDimension, getImage, getImageData, getImageLocation, getImageType, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getOnErrorRendererForDimension, getOnErrorRendererForDimension, getOnErrorRendererForImage, getOnErrorRendererForImage, getOnErrorRendererForImageData, getOnErrorRendererForImageData, getType, render, setClassLoader`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer
`getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRRenderable
`getDimension, getId, getImageData, getImageType, getType, render`

Constructor Detail

### JRSimpleImageMapRenderer

    public JRSimpleImageMapRenderer(byte[] imageData,
                                    java.util.List areaHyperlinks)

Method Detail

### renderWithHyperlinks

    public java.util.List renderWithHyperlinks(java.awt.Graphics2D grx,
                                               java.awt.geom.Rectangle2D rectangle)
                                        throws JRException

  Description copied from interface: `JRImageMapRenderer`
  Returns the list of `image map areas`.

  Specified by:
    `renderWithHyperlinks` in interface `JRImageMapRenderer`
    `rectangle` - the area on which the image would be rendered
  Returns:
    a list of `JRPrintImageAreaHyperlink` instances.
  Throws:
    `JRException`

### getImageAreaHyperlinks

    public java.util.List getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                          throws JRException

  Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`

  Description copied from interface: `JRImageMapRenderer`
  Returns the list of `image map areas`.

  Specified by:
    `getImageAreaHyperlinks` in interface `JRImageMapRenderer`
  Parameters:
    `renderingArea` - the area on which the image would be rendered
  Returns:
    a list of `JRPrintImageAreaHyperlink` instances.
  Throws:
    `JRException`

### hasImageAreaHyperlinks

    public boolean hasImageAreaHyperlinks()

  Description copied from interface: `JRImageMapRenderer`
  Indicates whether the renderer actually includes any image map areas.

  Specified by:
    `hasImageAreaHyperlinks` in interface `JRImageMapRenderer`
  Returns:
    whether the renderer actually includes any image map areas

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com